Hi, I am new to Sketchup and Ruby, and I am now using SketchUp 7.
I wonder why the following 2 scripts would have the same result. I suppose them should be in opposite direction...
Script#1:
` centerpoint = Geom::Point3d.new
Create a circle perpendicular to the normal or Z axis
vector = Geom::Vector3d.new 0,0,1
vector2 = vector.normalize!
model = Sketchup.active_model
entities = model.active_entities
edges = entities.add_circle centerpoint, vector2, 5
face = entities.add_face edges
status = face.pushpull 100, true`
Script#2:
` centerpoint = Geom::Point3d.new
Create a circle perpendicular to the normal or Z axis
vector = Geom::Vector3d.new 0,0,-1
vector2 = vector.normalize!
model = Sketchup.active_model
entities = model.active_entities
edges = entities.add_circle centerpoint, vector2, 5
face = entities.add_face edges
status = face.pushpull 100, true`
Can anyone advise me on that? Thanks!